# helixnebula.space

This bespoke code creates [my photography site](https://helixnebula.space/). It
is also accessible [via the gemini protocol](gemini://helixnebula.space/).

My site is statically generated, which means I run `generate.py` to create a
bunch of html and gmi files and the [nginx](https://en.wikipedia.org/wiki/Nginx)
and [molly-brown](https://github.com/LukeEmmet/molly-brown) servers simply serve
the files. As such, there is no server code here.

This site tries to be as simple as possible. There's some css that makes it look
better, and some dependancy-free javascript that manages the image browsing
experience once an album is opened. The whole thing has been written by me from
scratch, mostly for my own learning purposes. While it may be a little too fancy
to truly adhere to [smolweb principles](https://smolweb.org/), I deeply admire
that movement and similar ethos carried by communities like
[tilde.town](https://tilde.town).

I created this website as a loveletter to the American west and the immense time
I spent exploring it. It is made to share beauty as I have experienced it, and
will never include advertising or be influenced by a desire for monetary gains.
The site does not use cookies in any way.

I hope that you enjoy this site, and if you are developer of similar such sites,
I hope this can be an inspiration for you.